Bug 64148 - mkbootdisk makes boot disk that leads to kernel panic
Summary: mkbootdisk makes boot disk that leads to kernel panic
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Public Beta
Classification: Retired
Component: mkbootdisk (Show other bugs)
(Show other bugs)
Version: skipjack-beta2
Hardware: i686 Linux
medium
medium
Target Milestone: ---
Assignee: Matt Wilson
QA Contact: David Lawrence
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-04-26 16:46 UTC by Need Real Name
Modified: 2007-04-18 16:42 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-02-19 06:42:29 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Need Real Name 2002-04-26 16:46:25 UTC
From Bugzilla Helper:
User-Agent: Mozilla/4.76 [en] (X11; U; Linux 2.4.9 i686)

Description of problem:
After installing 7.2.93, and choosing no bootloader and making a custom boot
disk, the boot disk works.  But then I logged in as root and tried to make a new
boot disk using /sbin/mkbootdisk 2.4.18-0.13 and it makes another boot disk. 
But when I try to boot to that new boot disk, it leads to a kernel panic.  Here
is some of the output:
Mounting /proc filesystem
Mounting root filesystem
mount: missing device
ERROR: failed in exec of ext2
ERROR: failed in exec of LABEL=/1
pivotroot: pivot_root (/sysroot, /sysroot/initrd) failed: 2
ERROR: LABEL=/1 exited abnormally
umount /proc failed: 22
...
then a kernel panic and the system hangs.

To make matters worse, after I power cycle, my original boot disk no longer
works.
When I put it back in and boot, I get the following error:
/dev/hda2 is mounted e2fsck: cannot continue, aborting

*** An error occurred during the file system check
*** Dropping you to a shell; the system will reboot...



Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Install skipjack with no boot loader (only custom boot disk)
2. Boot to that custom boot disk, log in as root, put a new disk in and run
/sbin/mkbootdisk 2.4.18-0.13
3. Shutdown and boot to the newly created boot disk
	

Actual Results:  kernel panic upon boot

Expected Results:  I (naively??) expected to have a second working bootdisk.

Additional info:

Comment 1 Warren Togami 2002-04-28 04:14:51 UTC
Can you confirm that this works on the same computer with Red Hat 7.2? 
 
Have you checked the floppy for physical damage?  Do a complete format of the 
disk and check for bad sectors.  If there is even a single bad sector you 
should throw it away. 
 
If this was a bad floppy, then this is a duplicate of Bug 62929. 


Comment 2 Need Real Name 2002-04-30 01:48:33 UTC
I hadn't tried it on redhat 7.2, but I just did.  It also doesn't work there.  I
have used 3 different disks (2 with 7.2.93, 1 with 7.2) and I get the same
result each time... the bootdisk created during installation always works, but
the one created using /sbin/mkbootdisk 2.4.7-10 (or 2.4.18-0.13 for 7.2.93)
never works and always causes a kernel panic.  After the kernel panic, 
rebooting to the disk that was created during installation fails during the file
system check and drops me to a shell... I can continue the boot process from
there by typing /sbin/telinit 3.

Comment 3 Erik Troan 2002-06-03 19:21:18 UTC
could you send me a copy of the boot disk that you made which fails? do this:



Comment 4 Erik Troan 2002-06-03 19:22:26 UTC
could you send me a copy of the boot disk that fails? do this:

1) insert bad boot disk
2) dd if=/dev/fd0 of=/tmp/boot.img
3) attach /tmp/boot.img to an email, and reference this bug #

please send the email to ewt@redhat.com

please include your /etc/fstab and the output of running "mount" w/ no options

Comment 5 Jeremy Katz 2003-02-19 06:42:29 UTC
Closing due to inactivity.  Please reopen if you have any additional information
to add to this report.


Note You need to log in before you can comment on or make changes to this bug.